SUBROUTINE fluxsurf(jh_cur,pdtphys,vitu,vitv,qx,zz,paprs, &
& temp,flat,fsens,shortw,longwd,longwu,taux,tauy,coefD,Ts_new)

USE ioipsl , only : getin
IMPLICIT NONE
#include "YOMCST.h"

REAL jh_cur
REAL,INTENT(IN) :: qx
REAL,INTENT(IN) :: vitu,vitv,zz,temp
REAL, INTENT(IN)  :: paprs
REAL,INTENT(OUT) :: taux, tauy, fsens, flat, shortw,longwd,longwu

REAL :: fq_sat
REAL, save :: beta=0.3, inertie=1e5, F0=900.

!my local variables
REAL mod_vit
REAL coefD,coefDh
REAL :: Ts,Ts_new
REAL H,LE,LWdown,LWup,SW,Fs
REAL qsatTs, pdtphys

LOGICAL, SAVE ::  first=.true.


!   INITIALISATION
if (first) then
 Ts_new=temp+1
 call getin('beta',beta)
 call getin('F0',F0)
 call getin('inertie',inertie)
 first=.false.
endif

!   FLUXES CALCULATION
mod_vit=sqrt(vitu**2+vitv**2)

coefD=(0.4/log(zz/0.1))**2
coefDh=0.7*coefD

taux=-coefD*mod_vit*vitu
tauy=-coefD*mod_vit*vitv

!we update temperature
Ts=Ts_new


! FLUXES and TEMPERATURE

LWdown=400

LWup=rsigma*(Ts)**4
!print*,'LWUP ',rsigma,ts,lwup

SW=F0*max(-sin(2*rpi*jh_cur),0.) !jh_cur is in YOMCST.h

H=rcpd*coefDh*mod_vit*(Ts-temp)

qsatTs=fq_sat(Ts,paprs/100.)
LE=rlvtt*beta*coefDh*(qsatTs-qx)


Fs=LWdown+SW-LWup-H-LE

Ts_new=Ts+pdtphys/inertie*Fs


fsens=-H !pour les passer a diffkz
flat=-LE
shortw=SW
longwd=LWdown
longwu=LWup


RETURN
END SUBROUTINE fluxsurf
